--- /home/michael/ffmpeg-git/ffmpeg/tests/ref/fate/filter-pixfmts-tinterlace_vlpf       2017-09-16 17:33:15.392273012 +0200
+++ tests/data/fate/filter-pixfmts-tinterlace_vlpf      2017-09-16 17:45:30.848288506 +0200
@@ -2,23 +2,23 @@
 yuv410p             5bc03f4cf6b441b421f0fdaeeff1e9ed
 yuv411p             19046df1876c46ed1ef0458680270bd3
 yuv420p             69c743b84996be9430b051a55cfbcb29
-yuv420p10le         85948ad609abded6b50882d459f5a2f8
-yuv420p12le         7cebe45f51bdadc766f66c68db8d347d
+yuv420p10le         02b6357b3d2f70ee3fe9501b1dcceb65
+yuv420p12le         87c206b0a7713ab6ea21b05892947966
 yuv422p             d710ccd1941f6f389c97a09bc977e709
-yuv422p10le         c54873f77dac1d710fb2aa1b0ce2669c
-yuv422p12le         94a527bb787b9d121ffbbcb3a6c545d8
+yuv422p10le         0069a2d1235bacc8ee31be3f4c0b53db
+yuv422p12le         9dc4a344cf27a7375a36488e1218a949
 yuv440p             1a482a23fe5a9b7d02388c299fd0a423
-yuv440p10le         506efa287ecce9c951da2039fa1de2ae
-yuv440p12le         631bcf190f409ccbc5c27b9f0f6ba5e2
+yuv440p10le         5b18948641f7943ee1b4f3881ad5edff
+yuv440p12le         d0ed0679f8ac555eaaa152a1aa878ed9
 yuv444p             c968a92f4b7ab6706ee9b425eb5345b5
-yuv444p10le         0af437e635d49feccf7dfae201e6dfc5
-yuv444p12le         2e9e9f7caae1fae3b026810246fc6ac1
+yuv444p10le         f27d209ab2ea9c2c83f88698e2f249ce
+yuv444p12le         b7f39010c0a8dc2981124a7c0bec3411
 yuva420p            3f89a166f309c0cda8b91a9e8a0ce937
-yuva420p10le        79de1cc549c03d4893cf6f1aca86e057
+yuva420p10le        07ce3e2fd6b191a639b1d281a4d88b59
 yuva422p            ef8fdbe910d68e88e98227b0e99fb5a6
-yuva422p10le        257a4aec41f9b5412179272d8a7fb6f7
+yuva422p10le        d334d0dcbe6db35d388a6bc42d1bca2b
 yuva444p            3662eadd5f61a6edbc9d715ea8591415
-yuva444p10le        0905cf5b7f42c11be3f0486a66533c71
+yuva444p10le        1442285c507b366609433e75fb381a0f
 yuvj420p            14c4390b319c5d679184503309060ac3
 yuvj422p            bbe00a26526931b72a024febe1cd6b90
 yuvj440p            f654cf28b7879c6a6c950c3cb9612580
Test filter-pixfmts-tinterlace_vlpf failed. Look at tests/data/fate/filter-pixfmts-tinterlace_vlpf.err for details.
make: *** [fate-filter-pixfmts-tinterlace_vlpf] Error 1
--- /home/michael/ffmpeg-git/ffmpeg/tests/ref/fate/filter-pixfmts-tinterlace_cvlpf      2017-09-16 17:33:15.376273011 +0200
+++ tests/data/fate/filter-pixfmts-tinterlace_cvlpf     2017-09-16 17:45:30.876288506 +0200
@@ -2,23 +2,23 @@
 yuv410p             44ee4b74b95c82d6f79ddf53b5e3aa9d
 yuv411p             5fa9d1fba7adfd6f7fa04464332b631a
 yuv420p             ee9591ea3ab06c73be902c4b8868c69e
-yuv420p10le         19b2dcf5e82725b2c9e366d5d3a4b67b
-yuv420p12le         e5b76eb58cab2dfa42738f665d8b8059
+yuv420p10le         a7b51ae6bc636f05fde46a7692e7d4d5
+yuv420p12le         941e040aaf61085cc5394ba577938934
 yuv422p             b1be7b55567bde86d655adf80fac1257
-yuv422p10le         66f7433c7423d6289ee20c19c4e8dd90
-yuv422p12le         b4a4b5ed81341b36f685b14b2bb8a798
+yuv422p10le         5ac401951e4d58573101e36d35f66cb7
+yuv422p12le         e96d1b0c4680a48c4db6fde925aba83f
 yuv440p             ddf6ee697f4ff4f90d501e6869392309
-yuv440p10le         7e44a92d9e47e15f0728b125725ccd41
-yuv440p12le         c2cac82661e10be4917bd9dacb419fce
+yuv440p10le         592b74be31c472795b30e83a1ca661b1
+yuv440p12le         828b1f17dde9a2f289fe2f22ce98b181
 yuv444p             7cb5d0c0997c8c2545a16bfc4cb9fd6d
-yuv444p10le         08fb13c69b40229014a6ccf0bdd5498f
-yuv444p12le         796c5559b9f426470eb2997c21be5d14
+yuv444p10le         fba430393b79164f1b166fa292bb29fe
+yuv444p12le         59d951048416fc8074ab68cd5d189185
 yuva420p            ee0761e2f76ec441c545feede77103e4
-yuva420p10le        4bb6b3a1cbf2fd1fe5aefcc11ce8029f
+yuva420p10le        fb16e06b2f39a7c10ff6f232d9d72e0e
 yuva422p            a8da2806e21a88449079faa7f4303ffa
-yuva422p10le        d2965b5b5a43a7165badaff0718a17d8
+yuva422p10le        0005aa4dc4bb40c74ef894f2283ec407
 yuva444p            a3f57734d6f72bdf37f8f612ea7cce63
-yuva444p10le        e020512901fd9ac7088898a4e3a8c7c1
+yuva444p10le        dc459585d64af21b91b83a6d06da7db8
 yuvj420p            9f358e311b694bcd01e1a07d1120ade5
 yuvj422p            9a7628a9f1630d35c7176951ddc1b2f6
 yuvj440p            112fe35292c687746ec0c622a42c611b