diff --git a/tests/fate/ffmpeg.mak b/tests/fate/ffmpeg.mak
index a806c05d45..9a822f64bb 100644
--- a/tests/fate/ffmpeg.mak
+++ b/tests/fate/ffmpeg.mak
@@ -31,8 +31,8 @@ FATE_FFMPEG-$(call ALLYES, AEVALSRC_FILTER ASETNSAMPLES_FILTER AC3_FIXED_ENCODER
 fate-ffmpeg-filter_complex_audio: CMD = framecrc -filter_complex "aevalsrc=0:d=0.1,asetnsamples=1537" -c ac3_fixed
 
 # Ticket 6375
-FATE_SAMPLES_FFMPEG-$(call ALLYES, MOV_DEMUXER PNG_DECODER ALAC_DECODER ALAC_ENCODER) += fate-ffmpeg-attached_pics
-fate-ffmpeg-attached_pics: CMD = threads=2 framecrc -i $(TARGET_SAMPLES)/lossless-audio/inside.m4a -acodec alac -max_muxing_queue_size 16
+FATE_SAMPLES_FFMPEG-$(call ALLYES, MOV_DEMUXER PNG_DECODER ALAC_DECODER PCM_S16LE_ENCODER RAWVIDEO_ENCODER) += fate-ffmpeg-attached_pics
+fate-ffmpeg-attached_pics: CMD = threads=2 framecrc -i $(TARGET_SAMPLES)/lossless-audio/inside.m4a -acodec pcm_s16le -max_muxing_queue_size 16
 
 FATE_SAMPLES_FFMPEG-$(CONFIG_COLORKEY_FILTER) += fate-ffmpeg-filter_colorkey
 fate-ffmpeg-filter_colorkey: tests/data/filtergraphs/colorkey
diff --git a/tests/ref/fate/ffmpeg-attached_pics b/tests/ref/fate/ffmpeg-attached_pics
index 3a0f151819..ee2f20638e 100644
--- a/tests/ref/fate/ffmpeg-attached_pics
+++ b/tests/ref/fate/ffmpeg-attached_pics
@@ -1,4 +1,3 @@
-#extradata 1:       36, 0x45f80468
 #tb 0: 1/90000
 #media_type 0: video
 #codec_id 0: rawvideo
@@ -6,136 +5,136 @@
 #sar 0: 2834/2834
 #tb 1: 1/44100
 #media_type 1: audio
-#codec_id 1: alac
+#codec_id 1: pcm_s16le
 #sample_rate 1: 44100
 #channel_layout 1: 3
 #channel_layout_name 1: stereo
 0,          0,          0,        0,   120000, 0x748cc771
-1,          0,          0,     4096,       32, 0x204b0676
-1,       4096,       4096,     4096,     5826, 0x56583236
-1,       8192,       8192,     4096,     5532, 0x5f047492
-1,      12288,      12288,     4096,     5245, 0xaa3f1897
-1,      16384,      16384,     4096,     4782, 0x392f3ac3
-1,      20480,      20480,     4096,     4602, 0x9bd6ffad
-1,      24576,      24576,     4096,     4357, 0x5df6530b
-1,      28672,      28672,     4096,     7443, 0x38ce542b
-1,      32768,      32768,     4096,     5803, 0x196ae519
-1,      36864,      36864,     4096,     5619, 0xd436cd94
-1,      40960,      40960,     4096,     4896, 0x42df7109
-1,      45056,      45056,     4096,     4755, 0xfbfdfd5f
-1,      49152,      49152,     4096,     4597, 0x93f3ce66
-1,      53248,      53248,     4096,     7777, 0x56ffe620
-1,      57344,      57344,     4096,     5498, 0xa0865dc8
-1,      61440,      61440,     4096,     5343, 0x42134619
-1,      65536,      65536,     4096,     6261, 0xd60d1379
-1,      69632,      69632,     4096,     4496, 0x0eb49c68
-1,      73728,      73728,     4096,     4336, 0x21d541bd
-1,      77824,      77824,     4096,     8395, 0x02030a38
-1,      81920,      81920,     4096,     8174, 0x47bdb71d
-1,      86016,      86016,     4096,     7434, 0x2304318e
-1,      90112,      90112,     4096,     7619, 0x80e6a037
-1,      94208,      94208,     4096,     6086, 0xd3438d2f
-1,      98304,      98304,     4096,     6075, 0xd6019fbf
-1,     102400,     102400,     4096,     9597, 0x28f46a38
-1,     106496,     106496,     4096,    10287, 0x9dbf0938
-1,     110592,     110592,     4096,    10537, 0xc417fb81
-1,     114688,     114688,     4096,    10360, 0xc580caa3
-1,     118784,     118784,     4096,     9778, 0xb9c2d3e5
-1,     122880,     122880,     4096,    10307, 0x05b1b271
-1,     126976,     126976,     4096,    11289, 0x97f07c63
-1,     131072,     131072,     4096,    11561, 0x8a45194a
-1,     135168,     135168,     4096,    11327, 0x86587829
-1,     139264,     139264,     4096,    11347, 0x15659d6e
-1,     143360,     143360,     4096,    11006, 0x9a002c7f
-1,     147456,     147456,     4096,    11147, 0x853955e0
-1,     151552,     151552,     4096,    11025, 0x7bdafbda
-1,     155648,     155648,     4096,    11561, 0x2ec43d86
-1,     159744,     159744,     4096,    11329, 0x6eaba39a
-1,     163840,     163840,     4096,    10886, 0x5c31b777
-1,     167936,     167936,     4096,    11505, 0xcd7f2b9a
-1,     172032,     172032,     4096,    11243, 0xa1cb6c83
-1,     176128,     176128,     4096,    11718, 0x5b0d6e74
-1,     180224,     180224,     4096,    11898, 0xa649ca9a
-1,     184320,     184320,     4096,    11358, 0x037bc2f4
-1,     188416,     188416,     4096,    10864, 0x9239d22f
-1,     192512,     192512,     4096,    12181, 0xd5c24fba
-1,     196608,     196608,     4096,    11551, 0xa0d8c8d1
-1,     200704,     200704,     4096,    10858, 0x330fcbd8
-1,     204800,     204800,     4096,     9918, 0xd64a0ae4
-1,     208896,     208896,     4096,     9944, 0x0627d87a
-1,     212992,     212992,     4096,     9490, 0xa8cc1e93
-1,     217088,     217088,     4096,     9427, 0xb2b6db53
-1,     221184,     221184,     4096,     9799, 0x23ef915a
-1,     225280,     225280,     4096,     9544, 0x79fb4344
-1,     229376,     229376,     4096,    12091, 0xdc2e58e4
-1,     233472,     233472,     4096,    11079, 0xe23d2e0e
-1,     237568,     237568,     4096,    10772, 0xec04a623
-1,     241664,     241664,     4096,    11608, 0x9ab81556
-1,     245760,     245760,     4096,    10744, 0x538c70fa
-1,     249856,     249856,     4096,    10316, 0xfc26a3bf
-1,     253952,     253952,     4096,    11768, 0x20a1590f
-1,     258048,     258048,     4096,    11283, 0xd6cb802d
-1,     262144,     262144,     4096,    10112, 0xf1de16a2
-1,     266240,     266240,     4096,    12051, 0x881feda5
-1,     270336,     270336,     4096,    11348, 0xede7baab
-1,     274432,     274432,     4096,    10816, 0x816c90c7
-1,     278528,     278528,     4096,    12319, 0x1750b376
-1,     282624,     282624,     4096,    11228, 0x8db96bea
-1,     286720,     286720,     4096,    10217, 0x7503aeb2
-1,     290816,     290816,     4096,    12084, 0x36dde3c4
-1,     294912,     294912,     4096,    11697, 0xa16f51f7
-1,     299008,     299008,     4096,    10977, 0xf5b026e4
-1,     303104,     303104,     4096,    10459, 0xcab7f410
-1,     307200,     307200,     4096,    10287, 0x910baac6
-1,     311296,     311296,     4096,    10313, 0x5c0ca807
-1,     315392,     315392,     4096,    10018, 0x366a00da
-1,     319488,     319488,     4096,    10250, 0x69459be7
-1,     323584,     323584,     4096,     9947, 0x5d8efc8e
-1,     327680,     327680,     4096,    11550, 0xb90d385c
-1,     331776,     331776,     4096,    11249, 0xb93f8093
-1,     335872,     335872,     4096,    11168, 0xe8fb345a
-1,     339968,     339968,     4096,    11389, 0xa0eebbe6
-1,     344064,     344064,     4096,    10632, 0xc4646a98
-1,     348160,     348160,     4096,    11055, 0x5b2c3bb5
-1,     352256,     352256,     4096,    11551, 0xc6951ab2
-1,     356352,     356352,     4096,    11495, 0xde18135a
-1,     360448,     360448,     4096,    11141, 0x98a92ed5
-1,     364544,     364544,     4096,    11272, 0x99837e81
-1,     368640,     368640,     4096,    10973, 0xfc8b1294
-1,     372736,     372736,     4096,    10754, 0x562f8fcc
-1,     376832,     376832,     4096,    11784, 0x8a114dde
-1,     380928,     380928,     4096,    11358, 0x8405af06
-1,     385024,     385024,     4096,    11194, 0x164570f6
-1,     389120,     389120,     4096,    11512, 0x8358d96f
-1,     393216,     393216,     4096,    12245, 0x206d6330
-1,     397312,     397312,     4096,    11556, 0x2412fc6c
-1,     401408,     401408,     4096,    10997, 0x8e31e829
-1,     405504,     405504,     4096,     9927, 0x7eb2f59a
-1,     409600,     409600,     4096,     9797, 0x51089850
-1,     413696,     413696,     4096,     9648, 0xf29a7d52
-1,     417792,     417792,     4096,     9077, 0xddc149ad
-1,     421888,     421888,     4096,     9759, 0x38d0b78d
-1,     425984,     425984,     4096,    10347, 0x3073bad7
-1,     430080,     430080,     4096,    11585, 0x114310ec
-1,     434176,     434176,     4096,    11137, 0x6f420692
-1,     438272,     438272,     4096,    11099, 0xf9810272
-1,     442368,     442368,     4096,    11682, 0xe68452b7
-1,     446464,     446464,     4096,    11186, 0x899175ec
-1,     450560,     450560,     4096,     9933, 0xac27d52f
-1,     454656,     454656,     4096,    11609, 0xb6e31541
-1,     458752,     458752,     4096,    11632, 0x4898412b
-1,     462848,     462848,     4096,    11132, 0x6a3d6295
-1,     466944,     466944,     4096,    11960, 0xcc76d187
-1,     471040,     471040,     4096,    11196, 0x384f57ef
-1,     475136,     475136,     4096,    10619, 0x0e6d2961
-1,     479232,     479232,     4096,    11867, 0x7fe3b947
-1,     483328,     483328,     4096,    11190, 0x28785152
-1,     487424,     487424,     4096,    10375, 0xc67a06dc
-1,     491520,     491520,     4096,    11959, 0xcc9a0e02
-1,     495616,     495616,     4096,    11400, 0x67e6d6e7
-1,     499712,     499712,     4096,     9897, 0x5db7d50f
-1,     503808,     503808,     4096,    11460, 0x753cc6b9
-1,     507904,     507904,     4096,    11375, 0x76e9d803
-1,     512000,     512000,     4096,    11105, 0x22f71d1c
-1,     516096,     516096,     4096,    10949, 0x7951202a
-1,     520192,     520192,     4085,    11292, 0x8fc9ca01
+1,          0,          0,     4096,    16384, 0x00000000
+1,       4096,       4096,     4096,    16384, 0x29cd639d
+1,       8192,       8192,     4096,    16384, 0xd52066e5
+1,      12288,      12288,     4096,    16384, 0x0c933408
+1,      16384,      16384,     4096,    16384, 0xb3b97675
+1,      20480,      20480,     4096,    16384, 0x1cb4a26b
+1,      24576,      24576,     4096,    16384, 0x6bf693b9
+1,      28672,      28672,     4096,    16384, 0x12896c95
+1,      32768,      32768,     4096,    16384, 0x48b7167a
+1,      36864,      36864,     4096,    16384, 0x5a9c06ad
+1,      40960,      40960,     4096,    16384, 0x42fa8e65
+1,      45056,      45056,     4096,    16384, 0x175e6a61
+1,      49152,      49152,     4096,    16384, 0x3cd0e606
+1,      53248,      53248,     4096,    16384, 0x5ceff67d
+1,      57344,      57344,     4096,    16384, 0xa24ba733
+1,      61440,      61440,     4096,    16384, 0xafe61a2d
+1,      65536,      65536,     4096,    16384, 0xef8355f1
+1,      69632,      69632,     4096,    16384, 0x8e53cb7c
+1,      73728,      73728,     4096,    16384, 0x461bb940
+1,      77824,      77824,     4096,    16384, 0x96bb6ebd
+1,      81920,      81920,     4096,    16384, 0xb99977dc
+1,      86016,      86016,     4096,    16384, 0xa6b6a178
+1,      90112,      90112,     4096,    16384, 0x7bdc3e50
+1,      94208,      94208,     4096,    16384, 0x44cda519
+1,      98304,      98304,     4096,    16384, 0xbdfd2e72
+1,     102400,     102400,     4096,    16384, 0x5c09dc3c
+1,     106496,     106496,     4096,    16384, 0xe5aabb75
+1,     110592,     110592,     4096,    16384, 0x5db83fb2
+1,     114688,     114688,     4096,    16384, 0x69a6e3c0
+1,     118784,     118784,     4096,    16384, 0x0c09a90d
+1,     122880,     122880,     4096,    16384, 0x978d2b50
+1,     126976,     126976,     4096,    16384, 0x9707fbaa
+1,     131072,     131072,     4096,    16384, 0x8003f93b
+1,     135168,     135168,     4096,    16384, 0xaa12ab0c
+1,     139264,     139264,     4096,    16384, 0x49980501
+1,     143360,     143360,     4096,    16384, 0xdcb891db
+1,     147456,     147456,     4096,    16384, 0x52b76938
+1,     151552,     151552,     4096,    16384, 0x7cb55457
+1,     155648,     155648,     4096,    16384, 0x6b08b7d2
+1,     159744,     159744,     4096,    16384, 0xb56bb312
+1,     163840,     163840,     4096,    16384, 0xcbf9d3e0
+1,     167936,     167936,     4096,    16384, 0xe8958c07
+1,     172032,     172032,     4096,    16384, 0x054ac021
+1,     176128,     176128,     4096,    16384, 0x36811603
+1,     180224,     180224,     4096,    16384, 0x3354f6e1
+1,     184320,     184320,     4096,    16384, 0xa6c11686
+1,     188416,     188416,     4096,    16384, 0xed353877
+1,     192512,     192512,     4096,    16384, 0xef21373e
+1,     196608,     196608,     4096,    16384, 0x31c806d9
+1,     200704,     200704,     4096,    16384, 0x3c1c79d4
+1,     204800,     204800,     4096,    16384, 0x1b7b3d9a
+1,     208896,     208896,     4096,    16384, 0x08977239
+1,     212992,     212992,     4096,    16384, 0x07f9d169
+1,     217088,     217088,     4096,    16384, 0xa66ae19a
+1,     221184,     221184,     4096,    16384, 0x42f51169
+1,     225280,     225280,     4096,    16384, 0x98ff59b6
+1,     229376,     229376,     4096,    16384, 0x855216b9
+1,     233472,     233472,     4096,    16384, 0x0986573d
+1,     237568,     237568,     4096,    16384, 0x060aeffe
+1,     241664,     241664,     4096,    16384, 0x391c19bc
+1,     245760,     245760,     4096,    16384, 0x9939c472
+1,     249856,     249856,     4096,    16384, 0x4e0d31c5
+1,     253952,     253952,     4096,    16384, 0xed2678a6
+1,     258048,     258048,     4096,    16384, 0xfd899fc3
+1,     262144,     262144,     4096,    16384, 0x35cf5263
+1,     266240,     266240,     4096,    16384, 0xa2e35dad
+1,     270336,     270336,     4096,    16384, 0xf9ed08a0
+1,     274432,     274432,     4096,    16384, 0x022d9356
+1,     278528,     278528,     4096,    16384, 0x508042f7
+1,     282624,     282624,     4096,    16384, 0xe2e7e70b
+1,     286720,     286720,     4096,    16384, 0x30812bfd
+1,     290816,     290816,     4096,    16384, 0x5590ea7d
+1,     294912,     294912,     4096,    16384, 0xebaa4fc4
+1,     299008,     299008,     4096,    16384, 0x731cee53
+1,     303104,     303104,     4096,    16384, 0x1127b480
+1,     307200,     307200,     4096,    16384, 0x0809f7c8
+1,     311296,     311296,     4096,    16384, 0xc0d4256f
+1,     315392,     315392,     4096,    16384, 0xe868795c
+1,     319488,     319488,     4096,    16384, 0x801a77d1
+1,     323584,     323584,     4096,    16384, 0x1d44bed5
+1,     327680,     327680,     4096,    16384, 0x7619f16b
+1,     331776,     331776,     4096,    16384, 0x301064b6
+1,     335872,     335872,     4096,    16384, 0x42f3e0fb
+1,     339968,     339968,     4096,    16384, 0xfe186dc6
+1,     344064,     344064,     4096,    16384, 0x1a9bbbab
+1,     348160,     348160,     4096,    16384, 0x3c4e00a8
+1,     352256,     352256,     4096,    16384, 0x3101c84e
+1,     356352,     356352,     4096,    16384, 0x11a6c764
+1,     360448,     360448,     4096,    16384, 0xb75e82a1
+1,     364544,     364544,     4096,    16384, 0x81e3b3dd
+1,     368640,     368640,     4096,    16384, 0x2656fc8e
+1,     372736,     372736,     4096,    16384, 0x6c655f40
+1,     376832,     376832,     4096,    16384, 0xba0432f9
+1,     380928,     380928,     4096,    16384, 0x7028ee57
+1,     385024,     385024,     4096,    16384, 0x16baf6ed
+1,     389120,     389120,     4096,    16384, 0x863bcff5
+1,     393216,     393216,     4096,    16384, 0x4dbce87e
+1,     397312,     397312,     4096,    16384, 0x825e268c
+1,     401408,     401408,     4096,    16384, 0xfe269f0a
+1,     405504,     405504,     4096,    16384, 0x47b9c0ef
+1,     409600,     409600,     4096,    16384, 0xbbe55aac
+1,     413696,     413696,     4096,    16384, 0xeb0674a7
+1,     417792,     417792,     4096,    16384, 0x01afba1b
+1,     421888,     421888,     4096,    16384, 0x5ec18306
+1,     425984,     425984,     4096,    16384, 0x6d0b844f
+1,     430080,     430080,     4096,    16384, 0x6cd1bea2
+1,     434176,     434176,     4096,    16384, 0x97e47cbb
+1,     438272,     438272,     4096,    16384, 0xbb6bf554
+1,     442368,     442368,     4096,    16384, 0x33ea7961
+1,     446464,     446464,     4096,    16384, 0x83ce2f2a
+1,     450560,     450560,     4096,    16384, 0x3bed9e0d
+1,     454656,     454656,     4096,    16384, 0xd3a9570a
+1,     458752,     458752,     4096,    16384, 0x4d5e1aca
+1,     462848,     462848,     4096,    16384, 0x874a9b11
+1,     466944,     466944,     4096,    16384, 0xe51061d8
+1,     471040,     471040,     4096,    16384, 0x3582fac4
+1,     475136,     475136,     4096,    16384, 0x35df558e
+1,     479232,     479232,     4096,    16384, 0xe2485fed
+1,     483328,     483328,     4096,    16384, 0x31f9c6a7
+1,     487424,     487424,     4096,    16384, 0x0a82b244
+1,     491520,     491520,     4096,    16384, 0xfbb428f4
+1,     495616,     495616,     4096,    16384, 0x57b90bb6
+1,     499712,     499712,     4096,    16384, 0x5c6daa1a
+1,     503808,     503808,     4096,    16384, 0xe02ac113
+1,     507904,     507904,     4096,    16384, 0x47ed59b6
+1,     512000,     512000,     4096,    16384, 0x220e4bd3
+1,     516096,     516096,     4096,    16384, 0x65de48b1
+1,     520192,     520192,     4085,    16340, 0x326fa751