--- src/tests/ref/fate/filter-unsharp-yuv420p10	2019-10-15 15:35:27.272519847 +0200
+++ tests/data/fate/filter-unsharp-yuv420p10	2019-10-15 16:39:22.896600653 +0200
@@ -3,53 +3,53 @@
 #codec_id 0: rawvideo
 #dimensions 0: 352x288
 #sar 0: 0/1
-0,          0,          0,        1,   304128, 0x375a055d
-0,          1,          1,        1,   304128, 0x43374234
-0,          2,          2,        1,   304128, 0xba34fded
-0,          3,          3,        1,   304128, 0xaab09f3b
-0,          4,          4,        1,   304128, 0x1e42b90e
-0,          5,          5,        1,   304128, 0x135f1088
-0,          6,          6,        1,   304128, 0x780c001a
-0,          7,          7,        1,   304128, 0x10f209fa
-0,          8,          8,        1,   304128, 0x54aa698a
-0,          9,          9,        1,   304128, 0x72470a4b
-0,         10,         10,        1,   304128, 0x7cac80ed
-0,         11,         11,        1,   304128, 0x820ffb09
-0,         12,         12,        1,   304128, 0x7386656a
-0,         13,         13,        1,   304128, 0x3662c47e
-0,         14,         14,        1,   304128, 0x1b07cbce
-0,         15,         15,        1,   304128, 0x2577c6d2
-0,         16,         16,        1,   304128, 0xb478c1a6
-0,         17,         17,        1,   304128, 0x27549b49
-0,         18,         18,        1,   304128, 0xd2f628ca
-0,         19,         19,        1,   304128, 0x95cc5544
-0,         20,         20,        1,   304128, 0x844a1bda
-0,         21,         21,        1,   304128, 0x4bcfc8b2
-0,         22,         22,        1,   304128, 0x403e2302
-0,         23,         23,        1,   304128, 0x275214bf
-0,         24,         24,        1,   304128, 0x2f1e8e7b
-0,         25,         25,        1,   304128, 0x14d68a42
-0,         26,         26,        1,   304128, 0x2d966e74
-0,         27,         27,        1,   304128, 0x7d2f0bf2
-0,         28,         28,        1,   304128, 0x5744d92e
-0,         29,         29,        1,   304128, 0x4c89f858
-0,         30,         30,        1,   304128, 0x9702e22e
-0,         31,         31,        1,   304128, 0xea18c80e
-0,         32,         32,        1,   304128, 0x5290813c
-0,         33,         33,        1,   304128, 0xc8909e8c
-0,         34,         34,        1,   304128, 0xf9c985f9
-0,         35,         35,        1,   304128, 0xcdf626f0
-0,         36,         36,        1,   304128, 0xc517d607
-0,         37,         37,        1,   304128, 0xe765923b
-0,         38,         38,        1,   304128, 0xf12fa5f6
-0,         39,         39,        1,   304128, 0x04bf7f2b
-0,         40,         40,        1,   304128, 0x695762d6
-0,         41,         41,        1,   304128, 0xb1bf1983
-0,         42,         42,        1,   304128, 0x654dc4b2
-0,         43,         43,        1,   304128, 0x161854b6
-0,         44,         44,        1,   304128, 0x3d56b1c1
-0,         45,         45,        1,   304128, 0xa16f54a8
-0,         46,         46,        1,   304128, 0x02fffb2f
-0,         47,         47,        1,   304128, 0x04bddde4
-0,         48,         48,        1,   304128, 0xf5687316
-0,         49,         49,        1,   304128, 0x2a9a7dc6
+0,          0,          0,        1,   304128, 0x12f2055d
+0,          1,          1,        1,   304128, 0xda454234
+0,          2,          2,        1,   304128, 0x9497fded
+0,          3,          3,        1,   304128, 0xe6db9f3b
+0,          4,          4,        1,   304128, 0x4214b90e
+0,          5,          5,        1,   304128, 0xe09d1088
+0,          6,          6,        1,   304128, 0x5c89001a
+0,          7,          7,        1,   304128, 0xe9e809fa
+0,          8,          8,        1,   304128, 0xc4ec698a
+0,          9,          9,        1,   304128, 0x48610a4b
+0,         10,         10,        1,   304128, 0xdd9b80ed
+0,         11,         11,        1,   304128, 0x679afb09
+0,         12,         12,        1,   304128, 0xf364656a
+0,         13,         13,        1,   304128, 0x5612c47e
+0,         14,         14,        1,   304128, 0x2cafcbce
+0,         15,         15,        1,   304128, 0x382bc6d2
+0,         16,         16,        1,   304128, 0xcc5cc1a6
+0,         17,         17,        1,   304128, 0x73459b49
+0,         18,         18,        1,   304128, 0x9bf328ca
+0,         19,         19,        1,   304128, 0x2d7b5544
+0,         20,         20,        1,   304128, 0x56a31bda
+0,         21,         21,        1,   304128, 0x715bc8b2
+0,         22,         22,        1,   304128, 0x0c9f2302
+0,         23,         23,        1,   304128, 0xfc5d14bf
+0,         24,         24,        1,   304128, 0x85fd8e7b
+0,         25,         25,        1,   304128, 0x74f68a42
+0,         26,         26,        1,   304128, 0xa1a06e74
+0,         27,         27,        1,   304128, 0x549e0bf2
+0,         28,         28,        1,   304128, 0x5e28d92e
+0,         29,         29,        1,   304128, 0x3a0ff858
+0,         30,         30,        1,   304128, 0x9d0ee22e
+0,         31,         31,        1,   304128, 0x0555c80e
+0,         32,         32,        1,   304128, 0xaed6813c
+0,         33,         33,        1,   304128, 0xfd309e8c
+0,         34,         34,        1,   304128, 0x5d9985f9
+0,         35,         35,        1,   304128, 0x921b26f0
+0,         36,         36,        1,   304128, 0xd5c8d607
+0,         37,         37,        1,   304128, 0x32c3923b
+0,         38,         38,        1,   304128, 0x2b68a5f6
+0,         39,         39,        1,   304128, 0x6bb47f2b
+0,         40,         40,        1,   304128, 0xe32362d6
+0,         41,         41,        1,   304128, 0x79ad1983
+0,         42,         42,        1,   304128, 0x8bbbc4b2
+0,         43,         43,        1,   304128, 0xae6c54b6
+0,         44,         44,        1,   304128, 0x6ef7b1c1
+0,         45,         45,        1,   304128, 0x2ac054a8
+0,         46,         46,        1,   304128, 0xe309fb2f
+0,         47,         47,        1,   304128, 0x05ebdde4
+0,         48,         48,        1,   304128, 0x69c77316
+0,         49,         49,        1,   304128, 0x93467dc6