diff --git a/tests/ref/fate/h264-skip-nointra b/tests/ref/fate/h264-skip-nointra
index 0259902927..723235ae6f 100644
--- a/tests/ref/fate/h264-skip-nointra
+++ b/tests/ref/fate/h264-skip-nointra
@@ -9,47 +9,47 @@
 #sample_rate 1: 48000
 #channel_layout 1: 3
 #channel_layout_name 1: stereo
-1,          0,          0,     1152,     4608, 0x00000000
-1,       1152,       1152,     1152,     4608, 0x00000000
-1,       2304,       2304,     1152,     4608, 0x00000000
-1,       3456,       3456,     1152,     4608, 0x00000000
-1,       4608,       4608,     1152,     4608, 0x00000000
-1,       5760,       5760,     1152,     4608, 0x00000000
-1,       6912,       6912,     1152,     4608, 0x00000000
-1,       8064,       8064,     1152,     4608, 0x00000000
-1,       9216,       9216,     1152,     4608, 0x00000000
-1,      10368,      10368,     1152,     4608, 0x00000000
-1,      11520,      11520,     1152,     4608, 0x00000000
-1,      12672,      12672,     1152,     4608, 0x00000000
-1,      13824,      13824,     1152,     4608, 0x00000000
-1,      14976,      14976,     1152,     4608, 0x00000000
-1,      16128,      16128,     1152,     4608, 0x00000000
-1,      17280,      17280,     1152,     4608, 0x00000000
-1,      18432,      18432,     1152,     4608, 0x00000000
-1,      19584,      19584,     1152,     4608, 0x00000000
-1,      20736,      20736,     1152,     4608, 0x00000000
-1,      21888,      21888,     1152,     4608, 0x00000000
-1,      23040,      23040,     1152,     4608, 0x00000000
-1,      24192,      24192,     1152,     4608, 0x00000000
-1,      25344,      25344,     1152,     4608, 0x00000000
-1,      26496,      26496,     1152,     4608, 0x00000000
-1,      27648,      27648,     1152,     4608, 0x00000000
-1,      28800,      28800,     1152,     4608, 0x00000000
-1,      29952,      29952,     1152,     4608, 0x00000000
-1,      31104,      31104,     1152,     4608, 0x00000000
-1,      32256,      32256,     1152,     4608, 0x00000000
-1,      33408,      33408,     1152,     4608, 0x00000000
-1,      34560,      34560,     1152,     4608, 0x00000000
-1,      35712,      35712,     1152,     4608, 0x00000000
-1,      36864,      36864,     1152,     4608, 0x00000000
-1,      38016,      38016,     1152,     4608, 0x00000000
-1,      39168,      39168,     1152,     4608, 0x00000000
-1,      40320,      40320,     1152,     4608, 0x00000000
-1,      41472,      41472,     1152,     4608, 0x00000000
-1,      42624,      42624,     1152,     4608, 0x00000000
-1,      43776,      43776,     1152,     4608, 0x00000000
-1,      44928,      44928,     1152,     4608, 0x00000000
-1,      46080,      46080,     1152,     4608, 0x00000000
-1,      47232,      47232,     1152,     4608, 0x00000000
-1,      48384,      48384,     1152,     4608, 0x9eca8b7c
+1,          0,          0,     1152,     4608, 0xa5e29a68
+1,       1152,       1152,     1152,     4608, 0x3738f584
+1,       2304,       2304,     1152,     4608, 0xb427c4ed
+1,       3456,       3456,     1152,     4608, 0xb9ded8e3
+1,       4608,       4608,     1152,     4608, 0x1951d6e4
+1,       5760,       5760,     1152,     4608, 0xeeabd125
+1,       6912,       6912,     1152,     4608, 0xd845ef87
+1,       8064,       8064,     1152,     4608, 0xac99d4e5
+1,       9216,       9216,     1152,     4608, 0x187cd4e5
+1,      10368,      10368,     1152,     4608, 0xc3c6bcf0
+1,      11520,      11520,     1152,     4608, 0xd4bedf1f
+1,      12672,      12672,     1152,     4608, 0x2222f185
+1,      13824,      13824,     1152,     4608, 0x487bd4e5
+1,      14976,      14976,     1152,     4608, 0x0cfacaea
+1,      16128,      16128,     1152,     4608, 0x9432d4e5
+1,      17280,      17280,     1152,     4608, 0x9e5dc12d
+1,      18432,      18432,     1152,     4608, 0x035ae58c
+1,      19584,      19584,     1152,     4608, 0x0db0bef0
+1,      20736,      20736,     1152,     4608, 0x081fd4e5
+1,      21888,      21888,     1152,     4608, 0x4ad4d6e3
+1,      23040,      23040,     1152,     4608, 0xa79dd325
+1,      24192,      24192,     1152,     4608, 0x6c77fb81
+1,      25344,      25344,     1152,     4608, 0xed25d2e5
+1,      26496,      26496,     1152,     4608, 0x9b94c2ee
+1,      27648,      27648,     1152,     4608, 0x9a3ad0e7
+1,      28800,      28800,     1152,     4608, 0x0f6dcd27
+1,      29952,      29952,     1152,     4608, 0xa72fe58c
+1,      31104,      31104,     1152,     4608, 0x5950c2ee
+1,      32256,      32256,     1152,     4608, 0x7006d6e4
+1,      33408,      33408,     1152,     4608, 0x05e7d2e5
+1,      34560,      34560,     1152,     4608, 0xd0f0dd20
+1,      35712,      35712,     1152,     4608, 0xc32cf385
+1,      36864,      36864,     1152,     4608, 0x36cad6e3
+1,      38016,      38016,     1152,     4608, 0xa57dc4ed
+1,      39168,      39168,     1152,     4608, 0xc21ed4e5
+1,      40320,      40320,     1152,     4608, 0xcd61db20
+1,      41472,      41472,     1152,     4608, 0xa5cbe58c
+1,      42624,      42624,     1152,     4608, 0xad19c8eb
+1,      43776,      43776,     1152,     4608, 0x4482d6e4
+1,      44928,      44928,     1152,     4608, 0x52e0cce9
+1,      46080,      46080,     1152,     4608, 0x0766cf26
+1,      47232,      47232,     1152,     4608, 0x2860f186
+1,      48384,      48384,     1152,     4608, 0x280646e7
 0,         45,         45,        1,  3110400, 0xa426f15d
diff --git a/tests/ref/fate/h264-skip-nokey b/tests/ref/fate/h264-skip-nokey
index 0259902927..723235ae6f 100644
--- a/tests/ref/fate/h264-skip-nokey
+++ b/tests/ref/fate/h264-skip-nokey
@@ -9,47 +9,47 @@
 #sample_rate 1: 48000
 #channel_layout 1: 3
 #channel_layout_name 1: stereo
-1,          0,          0,     1152,     4608, 0x00000000
-1,       1152,       1152,     1152,     4608, 0x00000000
-1,       2304,       2304,     1152,     4608, 0x00000000
-1,       3456,       3456,     1152,     4608, 0x00000000
-1,       4608,       4608,     1152,     4608, 0x00000000
-1,       5760,       5760,     1152,     4608, 0x00000000
-1,       6912,       6912,     1152,     4608, 0x00000000
-1,       8064,       8064,     1152,     4608, 0x00000000
-1,       9216,       9216,     1152,     4608, 0x00000000
-1,      10368,      10368,     1152,     4608, 0x00000000
-1,      11520,      11520,     1152,     4608, 0x00000000
-1,      12672,      12672,     1152,     4608, 0x00000000
-1,      13824,      13824,     1152,     4608, 0x00000000
-1,      14976,      14976,     1152,     4608, 0x00000000
-1,      16128,      16128,     1152,     4608, 0x00000000
-1,      17280,      17280,     1152,     4608, 0x00000000
-1,      18432,      18432,     1152,     4608, 0x00000000
-1,      19584,      19584,     1152,     4608, 0x00000000
-1,      20736,      20736,     1152,     4608, 0x00000000
-1,      21888,      21888,     1152,     4608, 0x00000000
-1,      23040,      23040,     1152,     4608, 0x00000000
-1,      24192,      24192,     1152,     4608, 0x00000000
-1,      25344,      25344,     1152,     4608, 0x00000000
-1,      26496,      26496,     1152,     4608, 0x00000000
-1,      27648,      27648,     1152,     4608, 0x00000000
-1,      28800,      28800,     1152,     4608, 0x00000000
-1,      29952,      29952,     1152,     4608, 0x00000000
-1,      31104,      31104,     1152,     4608, 0x00000000
-1,      32256,      32256,     1152,     4608, 0x00000000
-1,      33408,      33408,     1152,     4608, 0x00000000
-1,      34560,      34560,     1152,     4608, 0x00000000
-1,      35712,      35712,     1152,     4608, 0x00000000
-1,      36864,      36864,     1152,     4608, 0x00000000
-1,      38016,      38016,     1152,     4608, 0x00000000
-1,      39168,      39168,     1152,     4608, 0x00000000
-1,      40320,      40320,     1152,     4608, 0x00000000
-1,      41472,      41472,     1152,     4608, 0x00000000
-1,      42624,      42624,     1152,     4608, 0x00000000
-1,      43776,      43776,     1152,     4608, 0x00000000
-1,      44928,      44928,     1152,     4608, 0x00000000
-1,      46080,      46080,     1152,     4608, 0x00000000
-1,      47232,      47232,     1152,     4608, 0x00000000
-1,      48384,      48384,     1152,     4608, 0x9eca8b7c
+1,          0,          0,     1152,     4608, 0xa5e29a68
+1,       1152,       1152,     1152,     4608, 0x3738f584
+1,       2304,       2304,     1152,     4608, 0xb427c4ed
+1,       3456,       3456,     1152,     4608, 0xb9ded8e3
+1,       4608,       4608,     1152,     4608, 0x1951d6e4
+1,       5760,       5760,     1152,     4608, 0xeeabd125
+1,       6912,       6912,     1152,     4608, 0xd845ef87
+1,       8064,       8064,     1152,     4608, 0xac99d4e5
+1,       9216,       9216,     1152,     4608, 0x187cd4e5
+1,      10368,      10368,     1152,     4608, 0xc3c6bcf0
+1,      11520,      11520,     1152,     4608, 0xd4bedf1f
+1,      12672,      12672,     1152,     4608, 0x2222f185
+1,      13824,      13824,     1152,     4608, 0x487bd4e5
+1,      14976,      14976,     1152,     4608, 0x0cfacaea
+1,      16128,      16128,     1152,     4608, 0x9432d4e5
+1,      17280,      17280,     1152,     4608, 0x9e5dc12d
+1,      18432,      18432,     1152,     4608, 0x035ae58c
+1,      19584,      19584,     1152,     4608, 0x0db0bef0
+1,      20736,      20736,     1152,     4608, 0x081fd4e5
+1,      21888,      21888,     1152,     4608, 0x4ad4d6e3
+1,      23040,      23040,     1152,     4608, 0xa79dd325
+1,      24192,      24192,     1152,     4608, 0x6c77fb81
+1,      25344,      25344,     1152,     4608, 0xed25d2e5
+1,      26496,      26496,     1152,     4608, 0x9b94c2ee
+1,      27648,      27648,     1152,     4608, 0x9a3ad0e7
+1,      28800,      28800,     1152,     4608, 0x0f6dcd27
+1,      29952,      29952,     1152,     4608, 0xa72fe58c
+1,      31104,      31104,     1152,     4608, 0x5950c2ee
+1,      32256,      32256,     1152,     4608, 0x7006d6e4
+1,      33408,      33408,     1152,     4608, 0x05e7d2e5
+1,      34560,      34560,     1152,     4608, 0xd0f0dd20
+1,      35712,      35712,     1152,     4608, 0xc32cf385
+1,      36864,      36864,     1152,     4608, 0x36cad6e3
+1,      38016,      38016,     1152,     4608, 0xa57dc4ed
+1,      39168,      39168,     1152,     4608, 0xc21ed4e5
+1,      40320,      40320,     1152,     4608, 0xcd61db20
+1,      41472,      41472,     1152,     4608, 0xa5cbe58c
+1,      42624,      42624,     1152,     4608, 0xad19c8eb
+1,      43776,      43776,     1152,     4608, 0x4482d6e4
+1,      44928,      44928,     1152,     4608, 0x52e0cce9
+1,      46080,      46080,     1152,     4608, 0x0766cf26
+1,      47232,      47232,     1152,     4608, 0x2860f186
+1,      48384,      48384,     1152,     4608, 0x280646e7
 0,         45,         45,        1,  3110400, 0xa426f15d